Package org.zkoss.zk.au.http

## Class AuMultipartUploader

- java.lang.Object
- - org.zkoss.zk.au.http.AuMultipartUploader

-     public class AuMultipartUploader
      extends java.lang.Object

  An AU handler to process multipart content.
  Since:
    10.0.0
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuMultipartUploader()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isMultipartContent​(javax.servlet.http.HttpServletRequest request)` |
    `static AuDecoder` | `parseRequest​(javax.servlet.http.HttpServletRequest request, AuDecoder decoder)` |
    `static java.util.Map<java.lang.String,​java.util.List<java.lang.String>>` | `splitQuery​(java.lang.String query)` |
    `static java.util.AbstractMap.SimpleImmutableEntry<java.lang.String,​java.lang.String>` | `splitQueryParameter​(java.lang.String it)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuMultipartUploader

          public AuMultipartUploader()

  - ### Method Detail

    - #### isMultipartContent

          public static boolean isMultipartContent​(javax.servlet.http.HttpServletRequest request)

    - #### parseRequest

          public static AuDecoder parseRequest​(javax.servlet.http.HttpServletRequest request,
                                               AuDecoder decoder)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### splitQuery

          public static java.util.Map<java.lang.String,​java.util.List<java.lang.String>> splitQuery​(java.lang.String query)

    - #### splitQueryParameter

          public static java.util.AbstractMap.SimpleImmutableEntry<java.lang.String,​java.lang.String> splitQueryParameter​(java.lang.String it)